%define anolis_release 1

Name:           dmidecode
Version:        3.3
Release:        %{anolis_release}%{?dist}
Summary:        Tool to analyse BIOS DMI data

License:        GPLv2+
URL:            https://www.nongnu.org/dmidecode/
Source0:        https://download.savannah.gnu.org/releases/%{name}/%{name}-%{version}.tar.xz

Patch0001:      0001-dmidecode-Fix-the-condition-error-in-ascii_filter.patch
Patch0002:      0002-dmidecode-Fix-crash-with-u-option.patch

BuildRequires:  gcc
BuildRequires:  make
ExclusiveArch:  x86_64 aarch64

%description
dmidecode reports information about x86 & ia64 hardware as described in the
system BIOS according to the SMBIOS/DMI standard. This information
typically includes system manufacturer, model name, serial number,
BIOS version, asset tag as well as a lot of other details of varying
level of interest and reliability depending on the manufacturer.

This will often include usage status for the CPU sockets, expansion
slots (e.g. AGP, PCI, ISA) and memory module slots, and the list of
I/O ports (e.g. serial, parallel, USB).

%prep
%autosetup -p1

%build
make %{?_smp_mflags} CFLAGS="%{optflags}" LDFLAGS="%{__global_ldflags}"

%install
make install DESTDIR=%{buildroot} prefix=%{_prefix} install-bin install-man

%files
%doc AUTHORS NEWS README
%license LICENSE
%{_sbindir}/dmidecode
%ifarch x86_64
%{_sbindir}/vpddecode
%{_sbindir}/ownership
%{_sbindir}/biosdecode
%endif
%{_mandir}/man8/*

%changelog
* Tue Mar 01 2022 Su Lifan <su-lifan@linux.alibaba.com> - 3.3-1
- Initial packaging for Anolis 23
